cancel
Showing results for 
Search instead for 
Did you mean: 

PSoC 4 MCU

Anonymous
Not applicable

I am working on a project that requires BLE communication between PSoC and an android application. But I am facing problem with connecting it to the application. The application I am using is "BT voice controller" downloaded from play store. Can I know if PSoC is compatible with apps other that cysmart or if yes how to configure it accordingly? Thanks in advance 🙂

0 Likes
Reply
1 Solution
Honored Contributor II
        
  • Your Android device needs to have BLE (not 'normal' BlueTooth, BT4.0 is also not enough)
  •     
  • The application needs to use BLE (not 'normal' BlueTooth, BT4.0 is also not enough)
  •     
  • The application needs to use the GATT profiles that your BLE device is providing
  •    
   

If you mean https://play.google.com/store/apps/details?id=robotspace.simplelabs.amr_voice&hl=de , its using normal BlueTooth (it expects a BT device that uses the serial profile SPP)

View solution in original post

0 Likes
Reply
1 Reply
Honored Contributor II
        
  • Your Android device needs to have BLE (not 'normal' BlueTooth, BT4.0 is also not enough)
  •     
  • The application needs to use BLE (not 'normal' BlueTooth, BT4.0 is also not enough)
  •     
  • The application needs to use the GATT profiles that your BLE device is providing
  •    
   

If you mean https://play.google.com/store/apps/details?id=robotspace.simplelabs.amr_voice&hl=de , its using normal BlueTooth (it expects a BT device that uses the serial profile SPP)

View solution in original post

0 Likes
Reply